{% extends 'easy_base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle %}
    {{ sitting.name|length > 40 ? sitting.name|slice(0,39) ~ '...' : sitting.name }} - {{ sitting.date|date('d/m/Y : H:i', timezone) }}


{% endblock %}

{% block pageActions %}
    <div class="d-flex justify-content-between">
        <div>
            {% if showBackButton %} {{ macro.backButton('easy_sitting_index') }} {% endif %}
        </div>

        <div>
            {% if is_granted("ROLE_CONFIRM_ATTENDANCE") %}
                <button class="btn btn-outline-primary" data-bs-toggle="modal" data-bs-target="#modalPresence">
                    <i class="fa-solid fa-location-crosshairs"></i> Renseigner sa présence
                </button>
            {% endif %}
            {% if is_granted("ROLE_DOWNLOAD_ZIP") %}
                <a href="{{ path('sitting_zip', {'id': sitting.id}) }}" class="btn btn-outline-primary"> <span
                            class="fas fa-download"></span> Télécharger le zip de la séance</a>
            {% endif %}

        </div>
    </div>


    <!-- Modal -->
    <div class="modal fade" id="modalPresence" tabindex="-1" aria-labelledby="modalPresenceLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel">Présence à la séance.</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    {{ attendanceView | raw }}
                </div>
            </div>
        </div>
    </div>

{% endblock %}

{% block pageTable %}
<div class="form-white" style="padding: 10px 50px">

    <div class="easy-convocation mt-2 mb-5">
        <div class="odj-element">
            <div>
                {{ convocationName }}
            </div>
            <div style="flex-shrink: 0;">
                <a href="{{ path('file_download', {'id': convocationFileId}) }}"
                   class="btn btn-outline-dark"><span class="fas fa-download"></span> Télécharger</a>

                <a href="{{ path('easy_viewer', {'sittingId': sitting.id, 'fileId' : convocationFileId}) }}"
                   class="btn btn-outline-dark"><span class="fas fa-eye"></span> Visualiser</a>

                <div class="mt-2" style="text-align: end">
                    <span {% if sitting.convocationFile.size > 10000000 %} class="text-center" {% endif %}>
                        {{ sitting.convocationFile.size | sizeFormatter }}
                    </span>
                </div>
            </div>
        </div>
    </div>

    {% if otherDocs and otherDocs | length %}
        <h2>Autres documents</h2>
        <div class="mb-5">
            {% for otherDoc in otherDocs %}
                <div class="odj-element mt-3">
                    <div>
                        <div>
                            {{ otherDoc.name }}
                        </div>
                    </div>
                    <div style="flex-shrink: 0">
                        <a href="{{ path('file_download', {'id': otherDoc.file.id}) }}"
                           class="btn btn-outline-dark"><span class="fas fa-download"></span> Télécharger</a>

                        <a href="{{ path('easy_viewer', {'sittingId': sitting.id, 'fileId' : otherDoc.file.id}) }}"
                           class="btn btn-outline-dark"><span class="fas fa-eye"></span> Visualiser</a>

                        <div class="mt-2 text-end">
                        <span {% if otherDoc.file.size > 10000000 %} class="text-center" {% endif %}>
                            {{ otherDoc.file.size | sizeFormatter }}
                        </span>
                        </div>
                    </div>
                </div>

            {% endfor %}

        </div>
    {% endif %}


    {% if projects and projects | length %}
        <h2>Projets</h2>
    {% endif %}

    {% for project in projects %}

    <div>
        <div class="easy-project mt-3">
            <div style="display: flex; background: #eeeeee; padding: 20px; flex: 1; border-radius: 5px; flex-direction: column; gap:10px">
                <div style="flex: 1; display: flex; align-items: center;  justify-content: space-between">
                    <div>
                            <span class="badge bg-primary"
                                  style="font-size: 1.3em; margin-right: 0.5em">{{ project.rank +1 }} </span> {{ project.name }}
                    </div>
                    <div style="flex-shrink: 0">
                        <a href="{{ path('file_download', {'id': project.file.id}) }}"
                           class="btn btn-outline-dark"><span
                                    class="fas fa-download"></span> Télécharger</a>

                        <a href="{{ path('easy_viewer', {'sittingId': sitting.id, 'fileId' : project.file.id}) }}"
                           class="btn btn-outline-dark"><span class="fas fa-eye"></span> Visualiser</a>
                    </div>

                </div>

                <div style="flex: 1; display: flex; align-items: center;  justify-content: space-between">
                    <div style="flex: 1;" class="text-success">
                        {% if project.theme %}
                            Theme : {{ project.theme.fullName }}
                        {% endif %}
                    </div>

                    <div style="flex: 1; text-align: center" class="text-primary">
                        {% if project.reporter %}
                            Rapporteur : {{ project.reporter.firstName }} {{ project.reporter.lastName }}
                        {% endif %}
                    </div>

                    <div style="text-align: end">
                            <span {% if project.file.size > 10000000 %} class="text-center" {% endif %}>
                            {{ project.file.size | sizeFormatter }}
                            </span>
                    </div>
                </div>
            </div>

            {% if project.annexes and project.annexes | length %}
                {% for annex in project.annexes %}

                    <div class="easy-annex mt-1" style="padding: 0 0 0 5em">
                        <div class="odj-element">
                            <div>
                                {{ annex.rank + 1 }} - {{ annex.title ? annex.title : annex.file.name }}
                            </div>
                            <div style="flex-shrink: 0">
                                <a href="{{ path('file_download', {'id': annex.file.id}) }}"
                                   class="btn btn-outline-dark"><span class="fas fa-download"></span>
                                    Télécharger</a>


                                {% if(annex.file.name | isViewable) %}
                                    <a href="{{ path('easy_viewer', {'sittingId': sitting.id, 'fileId' : annex.file.id}) }}"
                                       class="btn btn-outline-dark"><span class="fas fa-eye"></span> Visualiser</a>
                                {% endif %}

                                <div class="mt-2" style="text-align: end">
                                    <span {% if annex.file.size > 10000000 %} class="text-center" {% endif %}>
                                        {{ annex.file.size | sizeFormatter }}
                                    </span>
                                </div>
                            </div>
                        </div>

                    </div>

                {% endfor %}

            {% endif %}
        </div>

        {% endfor %}

    </div>
    {% endblock %}


    {% block javascripts %}
    {{ encore_entry_script_tags('attendance') }}
{% endblock %}